Save workflow version
Save a new workflow version (full save or snapshot).
POST
/api/workflows/{id}/versionPath parameters
idstringrequiredBody
dataobjectrequiredsnapshotbooleannamestringexpected_version_idobjectprevious_dataobjectRequest
curl
curl -X POST https://platform.trickest.com/api/workflows/{id}/version \
-H "Authorization: Bearer $TRICKEST_TOKEN" \
-H "Content-Type: application/json" \
-d '{ }'Responses
201Saved workflow version
idstringrequirednamestringdescriptionstringversionnumberversion_numbernumberworkflow_idstringrawbooleanpublicbooleancreated_datestringrequireddataobjectrun_countnumberschedule_infoobjectmax_machinesobject400Bad Request – validation error or malformed input
codestringmessagestring401Unauthorized – missing or expired token
codestringmessagestring500Internal Server Error
codestringmessagestring